POV-Ray : Newsgroups : povray.beta-test : Betas cannot process some .ini files Server Time: 30 Apr 2017 03:15:33 GMT
  Betas cannot process some .ini files (Message 1 to 2 of 2)  
From: Cousin Ricky
Subject: Betas cannot process some .ini files
Date: 30 Mar 2017 03:18:24
Message: <58dc7900$1@news.povray.org>
The 3.7.1 betas cannot find .ini files that are not in the current 
directory but are in the library path.  The master povray.ini is read 
normally, and the message window shows that the library path directories 
declared therein are established.  Scene files and font files are 
located without problem; it is only the .ini files that are not processed.

In at least one case, I can get 3.7.1 to process the .ini file by 
specifying a relative or absolute path.  The file in its entirety is 
below, save my redacted directory structure (beware of the wrapped 
comment line):

----------[BEGIN CODE]----------
; spectralrender.ini
; Persistence of Vision Ray Tracer initialization file
;
; Links to SpectralRender directory and optionally sets up the proper 
animation
; parameters.

Library_Path="/[REDACTED]/POV-Ray/include-others/SpectralRender"

[generate]
+FE +KI1 +KF36 +KFI38 +KFF73

[compose]
-A
-----------[END CODE]-----------

POV-Ray 3.7.1 has no problem reading include files stored in the 
SpectralRender directory, once it has been told where the .ini file is.

However, there are other .ini files that I cannot run under any 
circumstances, even if I run them from the directory in which they 
reside!  The error message is the usual VFE non-message ("Problem with 
option setting... Failed to parse command-line option"), so I have no 
way of knowing what exactly went wrong.  Here is one such file in its 
entirety:

----------[BEGIN CODE]----------
+ihilite.pov
-f
-----------[END CODE]-----------

The scene file hilite.pov is also in the same directory.

UberPOV-1.37.1.1-alpha.8871946 also has this problem.  As I didn't 
discover this prior to beta 2, I cannot estimate when the problem was 
introduced.

POV-Ray 3.7.1-beta.5.unofficial
Compilation settings:
   Build architecture:  x86_64-suse-linux-gnu
   Built/Optimized for: x86_64-suse-linux-gnu (using -march=native)
   Compiler vendor:     gnu
   Compiler version:    g++ 4.8
   Compiler flags:      -pipe -Wno-multichar -Wno-write-strings 
-fno-enforce-eh-specs -Wno-non-template-friend -s -O3 -ffast-math 
-march=native -pthread

OS: openSUSE 13.2 (GNU/Linux)


Post a reply to this message

From: clipka
Subject: Re: Betas cannot process some .ini files
Date: 30 Mar 2017 13:25:47
Message: <58dd075b$1@news.povray.org>
Am 30.03.2017 um 05:18 schrieb Cousin Ricky:
> The 3.7.1 betas cannot find .ini files that are not in the current
> directory but are in the library path.  The master povray.ini is read
> normally, and the message window shows that the library path directories
> declared therein are established.  Scene files and font files are
> located without problem; it is only the .ini files that are not processed.
> 
> In at least one case, I can get 3.7.1 to process the .ini file by
> specifying a relative or absolute path.  The file in its entirety is
> below, save my redacted directory structure (beware of the wrapped
> comment line):

The contents of INI files POV-Ray can't find in the first place are
pretty irrelevant. Instead, please be more specific about your
povray.ini setup, and the command-line arguments you use to invoke
POV-Ray. It might also be necessary to disclose the [REDACTED] portion
of your directory tree, at least structurally (feel free to obfuscate
the actual "words"; but make sure the problem isn't with some typo in
that portion).


> UberPOV-1.37.1.1-alpha.8871946 also has this problem.  As I didn't
> discover this prior to beta 2, I cannot estimate when the problem was
> introduced.

How's 3.7.0 doing in this respect?


Post a reply to this message

Copyright 2003-2008 Persistence of Vision Raytracer Pty. Ltd.